/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation. You find a copy of this
 *  license in the file COPYRIGHT in the root directory of this release.
 *
 *  THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 *  BUT WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF
 *  MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *
 *  Description:  See source file
 *
 *  Author: Tom Zoerner
 *
 *  $Id: sprio-test.h,v 1.3 2005/05/31 20:14:11 tom Exp tom $
 */

#ifndef __SPRIO_TEST_H
#define __SPRIO_TEST_H

#ifndef FALSE
# define FALSE 0
#endif
#ifndef TRUE
# define TRUE  1
#endif

typedef unsigned char sbool;

sbool PrioOpen( const char * p_dev_path, char ** pp_driver, char ** pp_card, char ** pp_err_msg );
void  PrioClose( void );
sbool PrioQuery( int app_idx, int * p_prio, char ** pp_err_msg );
sbool PrioSet( int app_idx, int prio, char ** pp_err_msg );
sbool PrioQueryChannel( int app_idx, int * p_freq, char ** pp_norm, char ** pp_err_msg );
sbool PrioChangeChannel( int app_idx, int freq, const char * p_norm, char ** pp_err_msg );

#endif // __SPRIO_TEST_H
